from django.urls import path, include
from django.views.generic import TemplateView
from django.contrib.auth import views as auth_views

from .views import *

urlpatterns = [
    path("audit/", audit_prod_detail,name="audit"),
    
    path("login/", login_page,name="login"),
    # path("product/", TemplateView.as_view(template_name="pages/product.html"),name="product"),
    path("search/", search_page,name="search"),

    path("post-enq/", createEnq,name="post-enq"),

    path("dash/enquiry/", enquiry_list, name="enq"),
    path("dash/enquiry/<id>/", enq, name="enq_detail"),
    path("dash/enquiry-delete/<id>/", enq_delete, name="enq_delete"),
    path("dash/product-enquiry/", prod_enquiry_list, name="prod_enq"),
    path("dash/users/", users, name="user_list"),
    path("dash/add-user/", add_user, name="add_user"),

    path("dash/settings/", TemplateView.as_view(template_name="cPanel/settings.html"),name="settings"),
    path("dash/settings/profile/", profile, name="user_profile"),
   
    path("dash/settings/change-password/", change_password,name="change_password"),
     
    path("accounts/password_change/done/ ", auth_views.PasswordChangeDoneView.as_view(
        template_name="registration/change-password-done.html"), name='password_change_done'),


]

